Bug 1285878 - [abrt] gnome-shell: wl_output_send_geometry(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: wl_output_send_geometry(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f3452c2b545cbd4157fae41dca3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 15:14 EST by lennart_reuther
Modified: 2016-12-20 11:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:19:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.76 KB, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: core_backtrace (3.80 KB, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: dso_list (27.20 KB, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: environ (909 bytes, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: maps (159.11 KB, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: mountinfo (3.30 KB, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: open_fds (7.99 KB, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details
File: var_log_messages (304 bytes, text/plain)
2015-11-26 15:14 EST, lennart_reuther
no flags Details

  None (edit)
Description lennart_reuther 2015-11-26 15:14:31 EST
Description of problem:
Handling multiple monitors

Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: wl_output_send_geometry
executable:     /usr/bin/gnome-shell
global_pid:     10161
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 wl_output_send_geometry at /usr/include/wayland-server-protocol.h:2080
 #1 bind_output at wayland/meta-wayland-outputs.c:80
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525
 #4 wl_closure_invoke at src/connection.c:945
 #5 wl_client_connection_data at src/wayland-server.c:339
 #6 wl_event_loop_dispatch at src/event-loop.c:422
 #7 wayland_event_source_dispatch at wayland/meta-wayland.c:85
 #12 meta_run at core/main.c:437
Comment 1 lennart_reuther 2015-11-26 15:14:36 EST
Created attachment 1099417 [details]
File: backtrace
Comment 2 lennart_reuther 2015-11-26 15:14:38 EST
Created attachment 1099418 [details]
File: cgroup
Comment 3 lennart_reuther 2015-11-26 15:14:39 EST
Created attachment 1099419 [details]
File: core_backtrace
Comment 4 lennart_reuther 2015-11-26 15:14:41 EST
Created attachment 1099420 [details]
File: dso_list
Comment 5 lennart_reuther 2015-11-26 15:14:43 EST
Created attachment 1099421 [details]
File: environ
Comment 6 lennart_reuther 2015-11-26 15:14:44 EST
Created attachment 1099422 [details]
File: exploitable
Comment 7 lennart_reuther 2015-11-26 15:14:45 EST
Created attachment 1099423 [details]
File: limits
Comment 8 lennart_reuther 2015-11-26 15:14:50 EST
Created attachment 1099424 [details]
File: maps
Comment 9 lennart_reuther 2015-11-26 15:14:51 EST
Created attachment 1099425 [details]
File: mountinfo
Comment 10 lennart_reuther 2015-11-26 15:14:52 EST
Created attachment 1099426 [details]
File: namespaces
Comment 11 lennart_reuther 2015-11-26 15:14:54 EST
Created attachment 1099427 [details]
File: open_fds
Comment 12 lennart_reuther 2015-11-26 15:14:55 EST
Created attachment 1099428 [details]
File: proc_pid_status
Comment 13 lennart_reuther 2015-11-26 15:14:57 EST
Created attachment 1099429 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 08:46:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:19:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.